# Get

Launch stage: Public Preview

`GET /api/2.0/online-tables/{name}`

Get information about an existing online table and its status.

API scopes: unity-catalog

## Path parameters

- `name` (string, optional)
  Full three-part (catalog, schema, table) name of the table.

## Returns

Returns the OnlineTable object.

## Response

```json
{
  "name": "string",
  "spec": {
    "run_continuously": {},
    "run_triggered": {},
    "source_table_full_name": "string",
    "primary_key_columns": [
      "string"
    ],
    "timeseries_key": "string",
    "perform_full_copy": true,
    "pipeline_id": "string"
  },
  "status": {
    "detailed_state": "string",
    "message": "string",
    "provisioning_status": {},
    "continuous_update_status": {},
    "triggered_update_status": {},
    "failed_status": {}
  },
  "table_serving_url": "string",
  "unity_catalog_provisioning_state": "string"
}
```

